Page 1 of 1

New RPi firmware with 3.6 kernel causing module problem

Posted: Sat Jan 26, 2013 6:20 pm
by tik0
tik0 wrote:Hi there,

first of all, great job what you have done there with the Pi! So now my issue:

Systemstate:
Installad "2012-12-16-wheezy-raspbian" and the newest firmware(<- Here is the problem) from github. After that I ran apt-get update and apt-get upgrade, so everything is realy up-to-date.
Running: uname

Code: Select all

Linux raspberrypi 3.6.11+

Problem:
With copying the new firmware from Github onto my Pi, the new Kernel 3.6.11+ is installed. But this Kernel causing problems when it tries to load modules. "modprob" is always searching in the folder /lib/modules/3.6.11+ for loading modules, but it's obviously not on the filesystem.
Folder /lib/modules containing:

Code: Select all

3.2.27+
3.2.27-cutdown+
Outputmessages:
E.g. while booting, "modprob" tries to load "snd-bcm2835" which results in the following message:

Code: Select all

libkmod: ERROR ../libkmod/libkmod.c:554 kmod_search_moddep: could not open moddep file '/lib/modules/3.6.11+/modules.dep.bin'
E.g. Running "depmod -a"

Code: Select all

ERROR: could not open directory /lib/modules/3.6.11+: No such file or directory
FATAL: could not search modules:No suchfile or directory
Workaround until now:
Just copying back the old firmware with the original Kernel 3.2.27+ works fine, because then "modprob" is loading the modules from the existing folders. But I would like to have the newest firmware.

Does anyone know how to make the newst firmware work with Raspbian?
Would be nice if someone can help me.
Greetz Tik0

Re: New RPi firmware with 3.6 kernel causing module problem

Posted: Sat Jan 26, 2013 9:56 pm
by CrazyIvan
Hi

Just download it from https://github.com/raspberrypi/firmware ... er/modules and copy to /lib/modules/

It works for me, so it should works for You :)

Re: New RPi firmware with 3.6 kernel causing module problem

Posted: Fri Dec 27, 2013 4:07 pm
by kamiseq
I had same problem, rebooting whole system helped

Re: New RPi firmware with 3.6 kernel causing module problem

Posted: Sun Jan 26, 2014 9:03 pm
by pjac
Just hit this myself, trying to work out why my IR sensor had stopped working:

Code: Select all

$ sudo modprobe lirc_rpi
libkmod: ERROR ../libkmod/libkmod.c:554 kmod_search_moddep: could not open moddep file '/lib/modules/3.6.11+/modules.dep.bin'
$ uname -a
Linux raspberrypi16g 3.6.11+ #538 PREEMPT Fri Aug 30 20:42:08 BST 2013 armv6l GNU/Linux
$ ls /lib/modules 
3.10.25+
Clearly /lib/modules is out of date, despite just having updated everything with apt-get :(

Also right now https://github.com/raspberrypi/firmware ... er/modules only has files for 3.10.27+

Re: New RPi firmware with 3.6 kernel causing module problem

Posted: Sun Jan 26, 2014 9:12 pm
by RobHenry
pjac wrote: Clearly /lib/modules is out of date, despite just having updated everything with apt-get :(
update doesn't update any software

apt-get upgrade

is what you need

Re: New RPi firmware with 3.6 kernel causing module problem

Posted: Sun Jan 26, 2014 11:40 pm
by pjac
Re: apt-get update, apt-get upgrade - yes, I was too brief - sorry for any confusion.

Interestingly while a warm reboot (via the reboot command) did not help, a full restart (from power off) seems to have 'fixed' this. When I say fixed, "sudo modprobe lirc_rpi" now runs, but /lib/modules still seems out of date. Strange. Thanks all.